Loading...
Searching...
No Matches
variant.hpp File Reference
`#include <boost/variant.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/cstdint.hpp>`
`#include <vector>`
`#include <string>`
Include dependency graph for variant.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | sqlite::unknown_t
struct | sqlite::null_t

## Namespaces

namespace | sqlite

## Typedefs

typedef std::vector< boost::uint8_t > | sqlite::blob_t
typedef boost::shared_ptr< blob_t > | sqlite::blob_ref_t
typedef boost::variant< unknown_t, int, boost::int64_t, long double, std::string, null_t, blob_ref_t > | sqlite::variant_t

## Enumerations

enum | sqlite::type { sqlite::unknown , sqlite::null , sqlite::integer , sqlite::real , sqlite::text , sqlite::blob }